#wrapper {
    display: grid;
    width: 100vw;
    height: 100vh;
    grid-template-rows: 15% 85%;
    grid-template-columns: auto;
}

#header {
    grid-row: 1;
    grid-column: 1;
    z-index: 1;
    display: grid;
    background-color: var(--blue-background-gray);
    box-shadow: var(--common-box-shadow);
    padding: 25px;
}

#header > img {
    justify-self: center;
    align-self: center;
}

#login-container {
    grid-row: 2;
    grid-column: 1;
    background-color: var(--light-gray);
    width: 60%;
    height: 80%;
    justify-self: center;
    align-self: center;
    border-radius: var(--common-border-radius);
    box-shadow: var(--common-box-shadow);
    display: grid;
    grid-template-rows: 20% repeat(5, max-content);
}

#login-title {
    font-size: 28pt;
    justify-self: center;
    text-align: center;
    font-weight: 400;
    background-color: white;
    width: 100%;
    height: max-content;
    padding: 15px 0;
    margin: 0;
    color: var(--middle-green)
}

#login-container input {
    font-size: 22pt;
    font-weight: 400;
    width: 75%;
    height: max-content;
    padding: 15px;
    justify-self: center;
    align-self: center;
    border-radius: var(--common-border-radius);
    box-shadow: var(--common-box-shadow);
    margin-bottom: 50px;
}

#login-container h2 {
    font-size: 24pt;
    font-weight: 400;
    text-align: center;
    justify-self: center;
}

#login-container button {
    font-size: 22pt;
    font-weight: 400;
    background-color: var(--middle-green);
    border: 2px solid var(--middle-green);
    color: white;
    padding: 15px;
    border-radius: var(--common-border-radius);
    box-shadow: var(--common-box-shadow);
    width: max-content;
    justify-self: center;
    align-self: center;
    transition: background-color 300ms ease, color 300ms ease;
}

#login-container button:hover {
    background-color: white;
    color: var(--middle-green);
    cursor: pointer;
}

#modal-fg {
    width: 40%;
    height: 50%;
    background-color: var(--light-gray);
    border-radius: var(--common-border-radius);
    box-shadow: var(--common-box-shadow);
    justify-self: center;
    align-self: center;
    display: grid;
    grid-template-rows: 75% 25%;
}

#modal-fg h1 {
    justify-self: center;
    align-self: center;
    text-align: center;
    font-size: 22pt;
    font-weight: 400;
}

#modal-fg button {
    font-size: 22pt;
    padding: 15px;
    width: max-content;
    margin-bottom: 50px;
    background-color: var(--middle-green);
    color: white;
    border-radius: var(--common-border-radius);
    box-shadow: var(--common-box-shadow);
    border: 2px solid var(--middle-green);
    justify-self: center;
    align-self: center;
    transition: background-color 300ms ease, color 300ms ease;
}

#modal-fg button:hover {
    cursor: pointer;
    background-color: white;
    color: var(--middle-green);
}
